<template>
  <button class="button" :style="buttonStyle" @click="$emit('click')">
    {{title}}
    <slot></slot>
  </button>
</template>

<script>
export default {
  name: 'Button',
  props: {
    title: String,
    buttonStyle: Object
  }
};
</script>

<style lang="scss">
@import './Button.scss';
</style>